Subject: Re: WML (perl-based program) segfaults
From: "Gerrit P. Haase" <[email-masked]>
To: Wolfgang Schnerring <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Feb 2004 10:24:14 +0100

Hello Wolfgang,

>> ./configure --with-openworld --enable-debug
>> runing make ends here:
>> mp4h: ERROR: failed to initialise modules: unknown error

> This can be circumvented by specifying --without-modules ... :-/

Ok, I'll try this.

>> Two of the executables are broken for me now, I consider to stop
>> working on this now. 

> I am very grateful that you invested your time - I was completely
> stumped.

>> > Minimal symbols from eperl.exe...(no debugging symbols found)...
>> > [I think that's strange, as I *did* say --enable-debug]
>> 
>> Try also to define some debugging flags for the tools, hmmm, in the
>> eperl configure is already defined: CFLAGS='-g' && LDFLAGS='-g', maybe
>> it is neccessary to rebuild perl with symbols too?

> Do you think the possible results warrant the effort of rebuilding
> perl?

I have a debugging version of perl online[1] (extract it from the cygwin
root, you'll need the binary and the srctree package so the debugger may
find the sources in the right place), it is not the latest release, but
since it seems to be the same problem with older perls it should be
sufficient, however it seems that the problem is with malloc() which was
changed sometimes back in Cygwin (between 1.3.x and 1.5).  There is also
an option for WML to use dmalloc[2], maybe that helps to track this down?

> And, honestly, even if I managed to get some useful debugging output,
> I'd still depend on your help - and I wouldn't want you to spend lots
> of your time debugging other people's (possibly outdated) software.
> It would be great if WML did work again, as I have some projects
> depending on it, but it's completely up to you whether to dig any
> further. 

Debugging is always useful, maybe there is a bug in perl or in cygwin
somewhere?

> I appreciate your help and investigations very much, thanks again. 8-)

[1] ftp://ftp.cpan.org/pub/CPAN/authors/id/G/GE/GERRIT/
[2] http://anfaenger.de/cygwin-1.5/dmalloc/

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/